<?php

// Exit if accessed directly
if ( !defined('ABSPATH') ) exit;

/**
 * Subsidiary Menu Template
 *
 * Displays the Subsidiary Menu if it has active menu items.
 *
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 */

if ( has_nav_menu( 'subsidiary' ) ) : ?>

	<?php do_action( 'mantel_menu_subsidiary_before' ); ?>

	<nav class="site-menu subsidiary-menu" role="navigation">

		<?php do_action( 'mantel_menu_subsidiary_open' ); ?>

		<?php wp_nav_menu( array( 'theme_location' => 'subsidiary', 'container_class' => '', 'menu_class' => '', 'menu_id' => '', 'fallback_cb' => '', 'depth' => 1 ) ); ?>

		<?php do_action( 'mantel_menu_subsidiary_close' ); ?>

	</nav><!-- .site-menu .subsidiary-menu -->

	<?php do_action( 'mantel_menu_subsidiary_after' ); ?>

<?php endif; ?>