<?php

// Exit if accessed directly
if ( !defined('ABSPATH') ) exit;

/**
 * Search Form Template
 *
 * The search form template displays the search form.
 *
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 *
 */
?>

	<form method="get" id="searchform" class="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>" role="search">

		<label for="s" class="accessibility-text"><?php _e( 'Search', 'mantel' ); ?></label>
		<input type="text" class="field txt" name="s" id="s" placeholder="<?php esc_attr_e( 'Search &hellip;', 'mantel' ); ?>">
		<input type="submit" class="submit btn" name="submit" id="searchsubmit" value="<?php esc_attr_e( 'Search', 'mantel' ); ?>">
		
	</form>