<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Primary Sidebar Template
 *
 * Displays widgets for the Primary dynamic sidebar if any have been added to the sidebar through the 
 * widgets screen in the admin by the user.  Otherwise, nothing is displayed.
 *
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 */

if ( is_active_sidebar( 'primary' ) ) : ?>

	<?php do_action( 'sabak_sidebar_primary_before' ); ?>

	<aside id="sidebar-primary" class="sidebar sidebar-primary">

		<?php do_action( 'sabak_sidebar_primary_open' ); ?>

			<?php dynamic_sidebar( 'primary' ); ?>

		<?php do_action( 'sabak_sidebar_primary_close' ); ?>

	</aside><!-- #sidebar-primary .sidebar .sidebar-primary -->

	<?php do_action( 'sabak_sidebar_primary_after' ); ?>

<?php endif; ?>